ahosein

دو سوال

5 ارسال در این موضوع قرار دارد

سلام به همگان

اولین سوالم اینه که این برنامه eclipse هر بار باید نصب بشه؟

یعنی شورتکاتی تو دستکتاپ ویندوز براش نمیاد؟

دومین سوالم اینه که

اگر api برنامه رو به مثال روی 4.1 قرار بدیم برنامه روی گوشی اندرویدی 4.1 به پایین هم بالا میاد یا نسخه های بالاتر اندروید هم پشتیبانی میکنه؟

یعنی اگر 4.1 باشه رو بالاتر هم بالا میاد؟

بنظرتون بهتره api اندروید برنامه رو همیشه روی چی بزارم؟

ممنون میشم کمکم کنید

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

در مورد جواب سوال اولت باید بگم که نه نیازی نیست که ایکلیپس هر بار نصب بشه و می تونی شورتکاتشو رو دستکتاپ قرار بدی و در مورد سوال دومت هم موقع ایجاد پروژه تو ایکلیپس می تونی پایین ترین وبالاترین api  رو برای پروژت انتخاب کنی که در اون صورت پروژه روی هر دو api و همه api های بین این دو api اجرا میشه. مثلا اگه بالاترین api رو  4.1 بزاری، apiهای بالاتر ساپورتش نمی کنن.

معمولا پروژه ها رو برای api8 تا api19 ست می کنن.

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

آیا شما مشکلی با android studio داری ؟ :D

سوال اولتون که خب اگه شورتکات نمیاره خودت دستی شورت کاتشو بزار رو دستگاهت!

دوم اینکه خیر شما هنگام ایجاد پروژه محدوده API رو مشخص میکنی و در دستگاه های خار از این محدوده اجرا نمیشود!

سوم : ببین خود گوگل با استفاده از play store گفته که چند درصد کاربران از چه نسخه ای استفاده میکنن!

90 درصد کاربران از اندروید 4.0.3 تا اندروید 5.1 استفاده میکنن . یعنی api19 تا api22

این عدد موقع انتخاب api توی اندروید استودیو میاد! از خودم در نیوردم

do.php?img=603

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

در مورد جواب سوال اولت باید بگم که نه نیازی نیست که ایکلیپس هر بار نصب بشه و می تونی شورتکاتشو رو دستکتاپ قرار بدی و در مورد سوال دومت هم موقع ایجاد پروژه تو ایکلیپس می تونی پایین ترین وبالاترین api  رو برای پروژت انتخاب کنی که در اون صورت پروژه روی هر دو api و همه api های بین این دو api اجرا میشه. مثلا اگه بالاترین api رو  4.1 بزاری، apiهای بالاتر ساپورتش نمی کنن.

معمولا پروژه ها رو برای api8 تا api19 ست می کنن.

آیا شما مشکلی با android studio داری ؟ :D

سوال اولتون که خب اگه شورتکات نمیاره خودت دستی شورت کاتشو بزار رو دستگاهت!

دوم اینکه خیر شما هنگام ایجاد پروژه محدوده API رو مشخص میکنی و در دستگاه های خار از این محدوده اجرا نمیشود!

سوم : ببین خود گوگل با استفاده از play store گفته که چند درصد کاربران از چه نسخه ای استفاده میکنن!

90 درصد کاربران از اندروید 4.0.3 تا اندروید 5.1 استفاده میکنن . یعنی api19 تا api22

این عدد موقع انتخاب api توی اندروید استودیو میاد! از خودم در نیوردم

ممنون از جواباتون

فقط یک سوال میمونه

اونم اینه که من اکلپیس رو تو یک جای خاص نصب میکنم اما هر چی توش میگردم شورتکاتی نیست؟

بعد بنظرتون api رو 21 باشه بهتره؟

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
فقط یک سوال میمونه

اونم اینه که من اکلپیس رو تو یک جای خاص نصب میکنم اما هر چی توش میگردم شورتکاتی نیست؟

بعد بنظرتون api رو 21 باشه بهتره؟

خواهش میکنم! احتمالا یه پوشه باید باشه به اسم bin توی اونه! شما محتویات پوشه ها رو خوب بگرد احتمالا توی همون bin هست!

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

برای ارسال نظر یک حساب کاربری ایجاد کنید یا وارد حساب خود شوید

برای اینکه بتوانید نظر ارسال کنید نیاز دارید که کاربر سایت شوید

ایجاد یک حساب کاربری

برای حساب کاربری جدید در انجمن ما ثبت نام کنید. عضویت خیلی ساده است !


ثبت نام یک حساب کاربری جدید

ورود به حساب کاربری

دارای حساب کاربری هستید؟ از اینجا وارد شوید


ورود به حساب کاربری